Exchange GCP Authorization Code for Access Token
Exchanges the authorization code received from Google OAuth flow for an access token.
- application/json
Request Body required
- authCode string required
Authorization code received from Google OAuth callback
- codeChallenge string required
PKCE code challenge used during authorization request
- redirectUri string required
Redirect URI used during authorization request
Responses
- 200
- 400
- 403
- 500
Success
- application/json
- Schema
- Example (from schema)
Schema
- errorCode boolean
Indicates whether token exchange was successful
- errorMessage string
Error message if token exchange failed
{
"errorCode": true,
"errorMessage": "string"
}
Bad Request
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Loading...